Delete
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppEntitlementOwners.Delete(ctx, operations.C1APIAppV1AppEntitlementOwnersDeleteRequest{
AppID: "<id>",
EntitlementID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.DeleteAppEntitlementOwnersResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.appEntitlementOwners.delete({
appId: "<id>",
entitlementId: "<id>",
});
console.log(result);
}
run();curl --request DELETE \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/entitlements/{entitlement_id}/owners \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/entitlements/{entitlement_id}/owners"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/entitlements/{entitlement_id}/owners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}App Entitlement Owner
Delete
Delete deletes the owners from a given app entitlement.
DELETE
/
api
/
v1
/
apps
/
{app_id}
/
entitlements
/
{entitlement_id}
/
owners
Delete
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppEntitlementOwners.Delete(ctx, operations.C1APIAppV1AppEntitlementOwnersDeleteRequest{
AppID: "<id>",
EntitlementID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.DeleteAppEntitlementOwnersResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.appEntitlementOwners.delete({
appId: "<id>",
entitlementId: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The app_id field for the app entitlement to remove the owner of.
The entitlement_id field for the app entitlement to remove the owner of.
Body
application/json
The request message for deleting app entitlement owners.
Response
200 - application/json
the empty response message for deleting app entitlement owners.
the empty response message for deleting app entitlement owners.
Was this page helpful?
⌘I